pro create_vector_speed_test
num = 500000;164000
; Calculate the vector using loops
nx = num
; Create the x-vector
xlo = -10.0
xhi = 10.0


tstart = systime(/seconds)
dx = (xhi-xlo)/(nx-1.0)
x = fltarr(nx)
for i = 0L,nx-1 do begin
   x[i] = xlo+dx*i
endfor
tloops = systime(/seconds)-tstart
print,'Elapsed time:',tloops

; Now calculate the vector using FINDGEN and scalar multiplication
tstart = systime(/seconds)
x = makepts(xlo = xlo,xhi = xhi,npts = nx)
;x = xlo+dx*findgen(nx)
tarray = systime(/seconds)-tstart
print,'Elapsed time:',tarray
print,'Savings: ',tloops/tarray
end