pro loop_rebin,x_in,z_in,dz_in,x_out,z_out,dz_out
zsize = size(z_in)
if (zsize[0] eq 2) then begin
   ng = zsize[2]
endif else begin
   ng = 1
endelse
;
nx_in = n_elements(x_in)
nx_out = n_elements(x_out)
nb_in = nx_in - 1
nb_out = nx_out - 1
;
z_out = fltarr(nb_out,ng)
dz_out = fltarr(nb_out,ng)
;
for k = 0L,ng-1 do begin
   for i = 0L,nb_out-1 do begin
      c = x_out[i]
      d = x_out[i+1]
      for j = 0L,nb_in-1 do begin
         a = x_in[j]
         b = x_in[j+1]
         if (d gt a and c lt b) then begin
            znorm = z_in[j,k] / (d-c)
            if (d ge b and c lt a) then begin
               z_out[i,k] = z_out[i,k] + znorm*(b-a)
            endif
            if (d ge b and c ge a) then begin
               z_out[i,k] = z_out[i,k] + znorm*(b-c)
            endif
            if (d lt b and c lt a) then begin
               z_out[i,k] = z_out[i,k] + znorm*(d-a)
            endif
            if (d lt b and c ge a) then begin
               z_out[i,k] = z_out[i,k] + znorm*(d-c)
            endif
         endif
      endfor
   endfor
endfor

end