function makepts, npts = nnpts,  $
                  xlo = xxlo,    $
                  xhi = xxhi
; This function computes a vector,x, of equally-spaced values between
; xlo and xhi.
; Test for presence of the input keywords and fill them in
; with defaults if not present.
if n_elements(nnpts) eq 0 then nnpts = 10
if n_elements(xxlo) eq 0 then xxlo = 0.0
if n_elements(xxhi) eq 0 then xxhi = 1.0
dx = (xxhi-xxlo)/(nnpts-1.0)
return,xxlo+dx*findgen(nnpts)
end