pro plot_example_4

x = makepts(xlo = 0.0,xhi = 3.0*!pi,npts = 100)
phase = makepts(xlo = 0.0,xhi = 1.0*!pi,npts = 8)
!p.multi = [0,2,2]
for i = 0,3 do $
   plot,x,sin(x+phase[i]),psym = i+4,  $
      xtitle = 'x',ytitle = 'y(x)',    $
      title = 'Shifted sinusoid',     $
      xrange = [min(x),max(x)],/xstyle
!p.multi = 0
;save_as_jpeg,'plot_example_7'
end