pro shade_surf_example
; Set up the colors for this example
device,decomposed = 0
loadct,15,/silent
; Specify the ranges of the function
xlo = -10.0 & xhi = 10.0 & nx = 100
ylo = 0.0 & yhi = 5.0 & ny = 50
x = makepts(xlo = xlo,xhi = xhi,npts = nx)
y = makepts(xlo = ylo,xhi = yhi,npts = ny)
; Create the function to be displayed
z = sin(x#y)+0.1*randomn(s,nx,ny)
shade_surf,z,x,y,shades = bytscl(z),ax  = 75.
end
