pro total_example
; Create an array of floating point numbers and calculate the sum
; of one of the dimensions.
n = 3000
array = findgen(n,n)
; Loop method
tstart = systime(/seconds)
sum = 0D
for i = 0L,n-1 do begin
  for j = 0L,n-1 do begin
	sum	= sum + array[i,j]
  endfor
endfor
print,sum
t_elapsed_loop = systime(/seconds)-tstart
print,'Elapsed time (loop):',t_elapsed_loop

; Method using TOTAL function
tstart = systime(/seconds)
sum = total(array)
print,sum
t_elapsed_total = systime(/seconds)-tstart
print,'Elapsed time (TOTAL function):',t_elapsed_total
print,t_elapsed_loop/t_elapsed_total
end